Create tenant organization
POST
/tenants
const url = 'https://api.muninx.com/tenants';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"allowed-domains":["example"],"blocked-domains":["example"],"customer-access-type":"open","display-name":"example","owner":"example","slug":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.muninx.com/tenants \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "allowed-domains": [ "example" ], "blocked-domains": [ "example" ], "customer-access-type": "open", "display-name": "example", "owner": "example", "slug": "example" }'Creates a tenant with a server-generated immutable ID. Ordinary users must omit owner and become the owner; service callers must supply owner.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”Tenant organization
Media type application/json
object
allowed-domains
Array<string>
blocked-domains
Array<string>
customer-access-type
string
display-name
string
owner
string
slug
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
allowed-domains
Array<string>
blocked-domains
Array<string>
created-at
string
customer-access-type
Open, closed, restricted
string
display-name
string
id
string
owner
string
plan
string
reply-identity
string
slug
string
stripe-id
string
Example generated
{ "allowed-domains": [ "example" ], "blocked-domains": [ "example" ], "created-at": "example", "customer-access-type": "example", "display-name": "example", "id": "example", "owner": "example", "plan": "example", "reply-identity": "example", "slug": "example", "stripe-id": "example"}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}